Bug 120641 - mplayer causes Oops
mplayer causes Oops
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 12:38 EDT by David Juran
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-18 06:24:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Juran 2004-04-12 12:38:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When trying to run play a certain film using mplayer I'm getting the
following Oops

Apr 12 17:57:12 h202n1fls29o1079 kernel: Unable to handle kernel NULL
pointer dereference at virtual address 0000002c
Apr 12 17:57:12 h202n1fls29o1079 kernel:  printing eip:
Apr 12 17:57:12 h202n1fls29o1079 kernel: 021814bc
Apr 12 17:57:12 h202n1fls29o1079 kernel: *pde = 00003001
Apr 12 17:57:12 h202n1fls29o1079 kernel: Oops: 0000 [#1]
Apr 12 17:57:12 h202n1fls29o1079 kernel: SMP
Apr 12 17:57:12 h202n1fls29o1079 kernel: CPU:    0
Apr 12 17:57:12 h202n1fls29o1079 kernel: EIP:    0060:[<021814bc>]   
Not tainted
Apr 12 17:57:12 h202n1fls29o1079 kernel: EFLAGS: 00010216  
(2.6.5-1.315.davidsmp)
Apr 12 17:57:12 h202n1fls29o1079 kernel: EIP is at
elf_core_dump+0x262/0xab6
Apr 12 17:57:12 h202n1fls29o1079 kernel: eax: 00000000   ebx: 00000000
  ecx: 00000004   edx: 2e7d3980
Apr 12 17:57:12 h202n1fls29o1079 kernel: esi: 022dbecd   edi: 20d2ed80
  ebp: 251aab80   esp: 21472db4
Apr 12 17:57:12 h202n1fls29o1079 kernel: ds: 007b   es: 007b   ss: 0068
Apr 12 17:57:12 h202n1fls29o1079 kernel: Process mplayer (pid: 1377,
threadinfo=21472000 task=2fbc3930)
Apr 12 17:57:12 h202n1fls29o1079 kernel: Stack: 0216a152 00020003
00020003 00020003 21472000 26373800 3114e980 3114ed00
Apr 12 17:57:12 h202n1fls29o1079 kernel:        239dfe80 20d2ed80
00000000 26373800 3114e980 239dfe80 251aab80 3114ed00
Apr 12 17:57:12 h202n1fls29o1079 kernel:        00000048 ffffffff
21472e2c 1fb23624 00000048 02173548 00000000 21278480
Apr 12 17:57:12 h202n1fls29o1079 kernel: Call Trace:
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0216a152>]
send_sigio+0x79/0xde
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<02173548>]
notify_change+0x1d1/0x1dd
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0215716c>]
do_truncate+0x79/0xae
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0216490d>]
do_coredump+0x1bb/0x23c
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<021286c2>]
__dequeue_signal+0x148/0x154
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<021286e3>]
dequeue_signal+0x15/0x54
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0212a36b>]
get_signal_to_deliver+0x484/0x50b
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0211964d>]
do_page_fault+0x3fa/0x4b1
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<021063d8>] do_signal+0x4e/0xbb
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0214b94c>]
do_mmap_pgoff+0x4d6/0x60f
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0211bfd3>]
scheduler_tick+0x56e/0x576
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<02107c43>] do_IRQ+0x1c5/0x225
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<02119253>]
do_page_fault+0x0/0x4b1
Apr 12 17:57:12 h202n1fls29o1079 kernel:  [<0210646d>]
do_notify_resume+0x28/0x37
Apr 12 17:57:12 h202n1fls29o1079 kernel:
Apr 12 17:57:12 h202n1fls29o1079 kernel: Code: 0f b7 40 2c 89 44 24 50
8b 42 24 01 44 24 50 8b 54 24 50 42

Do note that this is a dual-cpu machine.
I'm not sure if this bug might be related to to bug# 118265

Version-Release number of selected component (if applicable):
kernel-smp-2.6.5-1.315

How reproducible:
Always

Steps to Reproduce:
1. install mplayer e.g.
http://ftp.icm.edu.pl/pub/linux/mplayer-rpms/apt/7.3/RPMS.testing/mplayer-1.0pre3try2-1.i386.rpm
2. You will need the binary-only codec as well which you'll find at
e.g.
http://ftp.icm.edu.pl/pub/linux/mplayer-rpms/apt/7.3/RPMS.stable/mplayer-codecs-extralite-1.0-1.i386.rpm

3. Now try to watch the movie
http://nwdownloads.bioware.com/neverwinternights/movies/cep_trailer_hi.wmv

    

Actual Results:  Mplayer will crash and produce an empty core file and
in your log you will have a kernel Oops

Additional info:
Comment 1 David Juran 2004-04-13 15:00:42 EDT
The Oops happens with a uniprocessor kernel as well.
Comment 2 Arjan van de Ven 2004-04-14 12:13:19 EDT
this is supposed to be fixed in the current rawhide kernel based on
the oops you showed; thanks! 
(please verify that)
Comment 3 David Juran 2004-04-18 06:24:35 EDT
Verified to work in kernel-smp-2.6.5-1.326. 
mplayer still crashes, but the Oops is gone and a proper core file is
created.

Note You need to log in before you can comment on or make changes to this bug.